# Complete updating the current email address Completes updating the user's email address. The user must provide the OTP received in the email to verify the new email address. The difference between this endpoint and the _/blaize/users/update-email/_ endpoint is that this endpoint requires the extra layer of authentication through the required validator. Endpoint: POST /zephr/users/update-email/{otp} Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Path parameters: - `otp` (string, required) The one-time password (OTP) received in the email. ## Request fields (application/json): - `current_identifiers` (object, required) - `current_identifiers.email_address` (string) Example: "joe.blow@company.com" - `validators` (object, required) - `validators.password` (string) Example: "mysecurepassword123" - `validators.use_sso` (boolean) When this is present there should be no identifiers in the body. The user is identified through a blaize_session cookie. ## Response 200 fields (application/json): - `message` (string) Example: "User Email updated" ## Response 400 fields ## Response 401 fields